; Especificaciones: Prog12.5 para ZX Spectrum 16K/48K.
; Descripción general: Diversos ejemplos de líneas DRAW.
; Longitud: 67 bytes.
; Entrada: Ningún requerimiento.
; Salida: Pixels positivos en diversas zonas de la memoria de
; pantalla.
; Registros usados: B, C, D y E en programa.
;					A, B, C, D, E, H y L en rutina ROM.
; Nota importate: El registro doble alternativo H'L' se utiliza
; en la rutina DRAW. Antes de retornar al Basic debe contener el
; valor anterior a la llamada.
org		$7000

DRAW	equ $24ba
PLOT	equ $22e5

exx						; Pasa a set alternativo
push	hl				; Guarda H'L' en la pila
exx						; Vuelve a set normal

ld		bc, 22656		; B=$58=88	C=$80=128
call	PLOT			; PLOT 128,88
ld		bc, 12850		; BC=$32=50	C=$32=50
ld		de, 257			; SGN B = +		SGN C = +
call	DRAW			; DRAW 50,50
ld		bc, 22656		; B=$58=88	C=$80=128
call	PLOT			; PLOT 128,88
ld		bc, 12850		; BC=$32=50	C=$32=50
ld		de, 511			; SGN B = -		SGN C = +
call	DRAW			; DRAW 50,-50
ld		bc, 22656		; B=$58=88	C=$80=128
call	PLOT			; PLOT 128,88
ld		bc, 12850		; BC=$32=50	C=$32=50
ld		de, 65535		; SGN B = -		SGN C = -
call	DRAW			; DRAW -50,-50
ld		bc, 22656		; B=$58=88	C=$80=128
call	PLOT			; PLOT 128,88
ld		bc, 12850		; BC=$32=50	C=$32=50
ld		de, 65281		; SGN B = -		SGN C = +
call	DRAW			; DRAW -50,50

exx						; Pasa a set alternativo
pop		hl				; Recupera H'L'
exx						; Pasa a set normal

ret						; Vuelve al Basic

end		$7000