; Especificaciones: Kalidex propio para ZX Spectrum 16K/48K.
; Longitud: 91 bytes.
; Entrada: Ningún requerimiento.
; Salida: Diversos DRAW.
; Registros usados: A, B, C, D y E en programa.
;					A, B, C, D, E, H y L en rutina ROM.
org		$7000

cls		equ $0d6b					; CLS ROM
draw	equ $24ba					; DRAW ROM
plot	equ $22e5					; PLOT ROM
plotXY	equ $5880					; Coordenadas PLOT

Kalidex:
	call	cls						; Lipia la pantalla
	ld		(iy+$57), $00			; OVER 0
Inicio:
	xor		a						; A = 0, contador
	;ld		a, $57					; Cambiar esta línea por la anterior para cambiar efecto
									; Ver comentario al final del bucle
Bucle:
	ld		b, $32					; B = 50
	ld		c, a					; C = A
	ld		de, $0101  				; B = +		C = +
	call	Draw					; Pinta la línea

	ld		de, $ff01  				; B = +		C = -
	call	Draw					; Pinta la línea
	
	ld		de, $01ff				; B = -		C = +  
	call	Draw					; Pinta la línea

	ld		de, $ffff				; B = -		C = -
	call	Draw					; Pinta la línea

	ld		b, a					; B = A
	ld		c, $32					; C = 50
	ld		de, $0101				; B = +		C = +
	call	Draw					; Pinta la línea

	ld		de, $01ff				; B = -		C = +
	call	Draw					; Pinta la línea

	ld		de, $ff01				; B = +		C = -
	call	Draw					; Pinta la línea

	ld		de, $ffff				; B = -		C = -
	call	Draw					; Pinta la línea

	inc		a						; Incrementa a
	cp		$58						; Comprueba si ha llegado a 88
	jr		nz, Bucle				; Si no ha llegado, sigue en bucle
	;dec		a						; Cambiar estas dos líneas por las tres anteriores
	;jp		p, Bucle				; para cambiar efecto. JP P salta si DEC A es positivo.
Fin:
	ld		(iy+$57), $03			; OVER 1
	jr		Inicio					; Empezar de nuevo

Draw:
	push	af						; Preserva AF
	push	bc						; Preserva BC
	push	de						; Preserva DE
	ld		bc, plotXY				; BC = coordenadas para PLOT
	call	plot					; PLOT 128,88
	pop		de						; Recupera DE
	pop		bc						; Recupera BC
	push	bc						; Preserva BC
	call	draw					; DRAW
	pop		bc						; Recupera BC
	pop		af						; Recupera AF

	ret

end		$7000