; Especificaciones: Prog12.6 para ZX Spectrum 16K/48K.
; Descripción general: CIRCLE 128,88,87 en código máquina.
; Longitud: 33 bytes.
; Entrada: Ningún requerimiento.
; Salida: Circunferencia en memoria de pantalla.
; Registros usados: A en programa.
;                   A, B, C, D, E, H y L en rutina ROM.
; Nota importate: El registro doble alternativo H'L' debe ser
; guardado antes de ka llamada a la rutina CIRCLE, y restaurado
; antes del retorno al BASIC.
org		$7000

circle	equ $232d
cls		equ $0d6b
open	equ	$1601
stack_a	equ	$2d28

call	cls             ; Borra la pantalla
ld		a, 2            ; Abre      
call	open            ; canal dos
exx                     ; Set alternativo
push	hl              ; Guarda H'L'
exx                     ; Set normal

ld		a, 128		    ; Coordenada X
call	stack_a         ; Almacénala en pila del calculador
ld		a, 88		    ; Coordenada Y
call	stack_a         ; Almacénala en pila del calculador
ld		a, 87		    ; Radio
call	stack_a         ; Almacénala en pila del calculador
call	circle          ; CIRCLE 128,88,87

exx                     ; Set alternativo
pop		hl              ; Recupera H'L'
exx                     ; Set normal
ret

end		$7000